Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderRelInfo_ Struct Reference

Contains information used by instruction size prediction algorithm inside ZydisEncoderEncodeInstructionAbsolute. More...

`#include <EncoderData.h>`

## Data Fields
ZyanU8 | size [3][3]
| Sizes of instruction variants.
ZyanU8 | accepts_scaling_hints
| See ZydisSizeHint.
ZyanBool | accepts_branch_hints
| True if instruction accepts branch hint prefixes.
ZyanBool | accepts_bound
| True if instruction accepts bound (BND) prefix.

## Detailed Description

Contains information used by instruction size prediction algorithm inside ZydisEncoderEncodeInstructionAbsolute.

## Field Documentation

## ◆ accepts_bound

ZyanBool accepts_bound

True if instruction accepts bound (BND) prefix.

## ◆ accepts_branch_hints

ZyanBool accepts_branch_hints

True if instruction accepts branch hint prefixes.

## ◆ accepts_scaling_hints

ZyanU8 accepts_scaling_hints

See ZydisSizeHint.

## ◆ size

ZyanU8 size[3][3]

Sizes of instruction variants.

First index is effective address size. Second index is desired immediate size (8, 16 and 32 bits respectively).

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/EncoderData.h